HelpBot Assistant

How can I help you?

Getting Started

The Angular ListView control allows you to select an item from a list-like interface and provides the infrastructure to display a set of data items in different layouts or views. Lists display data, data navigation, result lists, and data entry.

This section explains briefly about how to create a web ListView in your application with Angular by step-by-step instructions

Create an ListView widget in Angular

Create a new HTML file and include the below code:

  • HTML
  • <!DOCTYPE html>
    <html>
       <head> 
        <link href="//cdn.syncfusion.com/32.2.3/js/web/flat-azure/ej.web.all.min.css" rel="stylesheet" />
        <script src="node_modules/core-js/client/shim.min.js"></script>
        <script src="node_modules/zone.js/dist/zone.js"></script>
        <script src="node_modules/reflect-metadata/Reflect.js"></script>
        <script src="node_modules/systemjs/dist/system.src.js"></script>
        <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
        <script src="http://cdn.syncfusion.com/js/assets/external/jsrender.min.js" type="text/javascript"></script>
        <script src="https://ajax.aspnetcdn.com/ajax/jquery.validate/1.14.0/jquery.validate.min.js">
        </script>
            <script src="http://cdn.syncfusion.com/32.2.3/js/web/ej.web.all.min.js" type="text/javascript"></script>
        <script src ="http://cdn.syncfusion.com/32.2.3/js/common/ej.angular2.min.js"></script>
    
        <script src="systemjs.config.js"></script>
      </head>
      <body>
       <ej-app>Loading...</ej-app>
      </body>

    Create input element and add in the body tag as below.

  • HTML
  • <div class="container" style="padding-top:100px">
            <div class="row">
                <div class="ctrllabel" style="padding-bottom: 12px"><b>Select a Music</b></div>
                <ej-listview [datasource]="listdata" [fieldsettings]="fieldsdata" width="300"></ej-listview>
            </div>
        </div>

    To render the Angular ListBox use the below code.

  • JS
  • import {Component,NgModule} from '@angular/core';
    import {FormsModule} from '@angular/forms';
    import {BrowserModule} from '@angular/platform-browser';
    
    @Component({
      selector: 'sd-home',
      templateUrl: 'app/components/listview/listview.component.html',
    })
    export class ListViewComponent {
        listdata:array;
        fieldsdata:object;
    
        constructor() {
             this.listdata =
                [{ "Texts": "Discover Music" },
                { "Texts": "Sales and Events" },
                { "Texts": "Categories" },
                { "Texts": "MP3 Albums" },
                { "Texts": "More in Music" }];
            this.fieldsdata = { "text": "Texts" };
        }
    }

    Run the above code to render the following output.

    Model binding

    The Essential Angular ListView supports the data binding feature. When a widget’s model attribute is bound to ngModel variable, it will be reflected the changes.

    The below table depicts the properties of Listview widget that supports model binding:

    control Supported properties
    ejListview selectedItemIndex checkedIndices dataSource

    Add in the ngModel value as below.

  • HTML
  • <div class="container" style="padding-top:100px">
    <div class="row">
    <div class="ctrllabel" style="padding-bottom: 12px"><b>Select a Music</b></div>
    <ej-listview [dataSource]="listdata" [fieldSettings]="fieldsdata" width=300 showHeader="true" headerTitle="MusicList" persistSelection="true" [selectedItemIndex]="selected" ></ej-listview>
                   <br/>
    <div id="binding">
                      <input type="text" id="listValue" class="input ejinputtext" [(ngModel)]="selected" />
                 </div>
            </div>
    </div>
  • JS
  • import {Component,NgModule} from '@angular/core';
    import {FormsModule} from '@angular/forms';
    import {BrowserModule} from '@angular/platform-browser';
    
    @Component({
       selector: 'ej-app',    
      templateUrl: 'app/app.component.html',
    })
    
    export class AppComponent {
       listdata:array;
        fieldsdata:object;
    
        constructor() {
             this.listdata =
                [{ "Texts": "Discover Music" },
                { "Texts": "Sales and Events" },
                { "Texts": "Categories" },
                { "Texts": "MP3 Albums" },
                { "Texts": "More in Music" }];
            this.fieldsdata = { "text": "Texts" };
        }
    }

    Run the above code to render the following output.

    Add Header

    We can add a header for ListView. Refer to the following script.

  • HTML
  • <div class="container" style="padding-top:100px">
            <div class="row">
                <div class="ctrllabel" style="padding-bottom: 12px"><b>Select a Music</b></div>
                <ej-listview [datasource]="listdata" [fieldsettings]="fieldsdata" width="300px" showheader="true" headertitle="MusicList"></ej-listview>
            </div>
        </div>

    Run the above code to render the following output.

HelpBot Assistant

How can I help you?

Getting Started

The React ListView widget builds an interactive list view interface. This control allows you to select an item from a list-like interface and provides the infrastructure to display a set of data items in different layouts or views. Lists display data, data navigation, result lists, and data entry.

Key Features

  • AJAX Load: Loads AJAX content in the ListView content.

  • Data binding: Supports Data binding with JSON data and remote data.

  • Template support: The ListView supports template content.

  • Group List: The ListView supports group item list.

  • Check List: The ListView supports check list.

This section helps to understand the getting started of the ReactJS ListView with the step-by-step instructions.

Create an ListView

You can create a React application and add necessary scripts and styles with the help of the given ReactJJs Getting Started Documentation.

Define an HTML element for adding ListView in the application and refer the JSX file created.

  • HTML
  • <div id="listview-default"></div>
    <script src="app/listview/default.js"></script>

    Create a JSX file for rendering ListView component using <EJ.ListView> syntax. Add required properties to it in <EJ.ListBox> tag element

  • JS
  • "use strict";
    
    ReactDOM.render(
         <div className="list">
              <EJ.ListView id="default" width="100%" height="100%" persistSelection={true}>
                   <ul>   
                        <li data-ej-text="Artwork"></li>
                        <li data-ej-text="Abstract"></li>
                        <li data-ej-text="2 Acrylic Mediums"></li>
                        <li data-ej-text="Creative Acrylic"></li>
                        <li data-ej-text="Modern Painting"></li>
                        <li data-ej-text="Canvas Art"></li>
                        <li data-ej-text="Black white"></li>
                        <li data-ej-text="Children"></li>
                        <li data-ej-text="Preschool Crafts"></li>
                        <li data-ej-text="School-age Crafts"></li>
    
                    </ul>
              </EJ.ListView>
         </div>,
         document.getElementById('listview-default')
    );

    Run the above code to render the following output:

    Add Header

    We can add a header for ListView. Refer to the following script.

    Use the following code render the ListBox with Selection

  • JS
  • "use strict";
    
    ReactDOM.render(
         <div className="list">
              <EJ.ListView id="default" width="100%" height="100%" showHeader={true} headerTitle="MyFavourites” persistSelection={true}>
                   <ul>   
                        <li data-ej-text="Artwork"></li>
                        <li data-ej-text="Abstract"></li>
                        <li data-ej-text="2 Acrylic Mediums"></li>
                        <li data-ej-text="Creative Acrylic"></li>
                        <li data-ej-text="Modern Painting"></li>
                        <li data-ej-text="Canvas Art"></li>
                        <li data-ej-text="Black white"></li>
                        <li data-ej-text="Children"></li>
                        <li data-ej-text="Preschool Crafts"></li>
                        <li data-ej-text="School-age Crafts"></li>
    
                    </ul>
              </EJ.ListView>
         </div>,
         document.getElementById('listview-default')

    Run the above code to render the following output.

    Note: You can find the ListView properties from the API reference document